import requests
import time
import psutil
import uuid
import socket
import   random
import datetime


url = "http://yz.momoplus.top/Api?AppId=10004"
headers = {
    "Accept": "application/json, text/plain, */*",
    "Accept-Language": "zh-CN,zh;q=0.9",
    "Cache-Control": "no-cache",
    "Content-Type": "application/json",
    "Pragma": "no-cache",
    "Token": "",
    "User-Agent": "Mozilla/5.0 (Windows NT 10.0; WOW64)"
}

#取机器码
# 获取主板序列号
def get_serial_number():
    try:
        serial_number = socket.gethostname()
    except Exception:
        serial_number = "UNKNOWN"
    return serial_number

# 获取CPU信息
def get_cpu_info():
    try:
        cpu_info = psutil.cpu_freq().current
    except Exception:
        cpu_info = "UNKNOWN"
    return cpu_info

# 获取网卡MAC地址
def get_mac_address():
    try:
        mac_address = ':'.join(['{:02x}'.format((uuid.getnode() >> elements) & 0xff)
                                for elements in range(0, 2 * 6, 8)][::-1])
    except Exception:
        mac_address = "UNKNOWN"
    return mac_address

# 组合这些信息
def generate_machine_code():
    machine_id = f"{get_serial_number()}_{get_cpu_info()}_{get_mac_address()}"
    return machine_id


#初始化
def initialization():
    certificate_number = random.randint(10000, 99999)
    data = {
    "Api": "GetToken",
    "Time": int(time.time()),
    "Status": certificate_number
    }
    response = requests.post(url, headers=headers, json=data)
    if response.status_code == 200:  # 成功响应
        response_data=response.json()
    if 'Status' in response_data and response_data['Status'] == data['Status']:
        headers["Token"] = response_data["Data"]["Token"]
        return "ok"
    else:
       return response_data['Msg']
   



#注册
def register(User,PassWord):
    certificate_number = random.randint(10000, 99999)
    data = {
    "Api": "NewUserInfo",
    "User": User,
    "PassWord": PassWord,
    "Key": generate_machine_code(),
    "SuperPassWord": "116677",
    "Qq": "",
    "Email": "",
    "Phone": "",
    "Time": int(time.time()),
    "Status": certificate_number
    }
  
    response = requests.post(url, headers=headers, json=data)
    response_data=response.json()
    if 'Status' in response_data and response_data['Status'] == data['Status']:
        return("注册成功")
    else:
        return response_data['Msg']
        
   
#登录
def login(User,PassWord):
    certificate_number = random.randint(10000, 99999)
    data = {
    'Api': 'UserLogin',
    'UserOrKa': User,
    'PassWord': PassWord,
    'Key':  generate_machine_code() ,
    'Tab': '暂时没有动态标记',
    'AppVer': '1.0.0',
    'Time': int(time.time()),
    'Status': certificate_number
    }
    
    response = requests.post(url, headers=headers, json=data)
    response_data = response.json()
    if 'Status' in response_data and response_data['Status'] == data['Status']:
        timestamp=response_data['Data']['VipTime']
        dt_object = datetime.datetime.fromtimestamp(timestamp)
        
        return str("ok|"+dt_object.strftime('%Y-%m-%d %H:%M:%S'))
    else:
        return response_data['Msg']
#取充值地址
def pay(name):
    certificate_number = random.randint(10000, 99999)
    data = {
    'Api': 'GetPublicData',
    "Name": name,
    'Time': int(time.time()),
    'Status': certificate_number
    }
    
    response = requests.post(url, headers=headers, json=data)
    response_data = response.json()
    if 'Status' in response_data and response_data['Status'] == data['Status']:
        timestamp=response_data['Data'][name]
        return timestamp
    else:
        return response_data['Msg']
#充值
def pays(User,PassWord):
    certificate_number = random.randint(10000, 99999)
    data = {
    'Api': 'UseKa',
    'User': User,
    'Ka': PassWord,
    'InviteUser': "" ,
    'Time': int(time.time()),
    'Status': certificate_number
    }
    
    response = requests.post(url, headers=headers, json=data)
    response_data = response.json()
    if 'Status' in response_data and response_data['Status'] == data['Status']:
        return "ok"
    else:
        return response_data['Msg']
#心跳
def HeartBeat():
    certificate_number = random.randint(10000, 99999)
    data = {
    'Api': 'HeartBeat',
    'Time': int(time.time()),
    'Status': certificate_number
    }
    
    response = requests.post(url, headers=headers, json=data)
    response_data = response.json()
    if 'Status' in response_data and response_data['Status'] == data['Status']:
        return "ok"
    else:
        return response_data['Msg']
   

  







#initialization(url,headers)
#login(url,headers,"imtaizi","imtaizi888")

